=pod

=head1 NAME

RSA_size, RSA_bits - get RSA modulus size

=head1 SYNOPSIS

#include <openssl/rsa.h>

int RSA_size(const RSA *rsa);

int RSA_bits(const RSA *rsa);

=head1 DESCRIPTION

RSA_size() returns the RSA modulus size in bytes. It can be used to
determine how much memory must be allocated for an RSA encrypted
value.

RSA_bits() returns the number of significant bits.

B<rsa> and B<rsa-E<gt>n> must not be B<NULL>.

=head1 RETURN VALUE

The size.

=head1 SEE ALSO

L<rsa(3)>, L<BN_num_bits(3)>

=head1 HISTORY

RSA_bits() was added in OpenSSL 1.1.0.

=cut
